using namespace std;


/*****************************************************************/
class Master_Score {

public:
	Energy_Score				c_nrg;
	Continuous_Energy_Score		c_cont_nrg;
	Contact_Score				c_cnt;
	GB_Pairwise					c_gbsa;
	GB_Hawkins					c_gbsa_hawkins;

	Base_Score					*primary_score;
	Base_Score					*secondary_score;

	bool						primary_score_found;
	bool						secondary_score_found;

	bool						use_primary_score;
	bool						use_secondary_score;
	bool						use_score;

	void						input_parameters(Parameter_Reader &parm);
	void						initialize_all(AMBER_TYPER &, int argc, char **argv);
	bool						compute_primary_score(DOCKMol &mol);
	bool						compute_secondary_score(DOCKMol &mol);
	//float						return_primary_score();
	//float						return_secondary_score();

};

